%global dlrn_nvr validations-common-1.9.1.dev2-1.20230406033859.e96c169
%global dlrn 1
%define upstream_version 1.9.1.dev2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name validations-common
%global srcname validations_common

Name:           validations-common
Summary:        A collection of Ansible libraries, Plugins and Roles for the Validation Framework
Version: 1.9.1
Release: 1.20230406033859.e96c169%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/validations-common
Source0: validations-common-1.9.1.dev2-1.20230406033859.e96c169.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=e96c16997f6b98159420226b5de85ef4c9c6eb7e

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.opendev.org/openstack/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros
BuildRequires:  python3-setuptools >= 50.3.0
BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 3.1.1
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  (python3dist(ansible) or ansible-core >= 2.11)
BuildRequires:  python3-PyYAML >= 3.13
BuildRequires:  python3-validations-libs >= 1.2.0

Requires:       (python3dist(ansible) or ansible-core >= 2.11)
Requires:       python3-PyYAML >= 3.13
Requires:       python3-pbr >= 3.1.1
Requires:       python3-prettytable >= 0.7.2
Requires:       python3-validations-libs >= 1.2.0

%description
A collection of Ansible librairies, Plugins and Roles for the Validation Framework

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{py3_build}

%install
%{py3_install}

# Create log directory with some default rights/ownership
# In tripleo env, it will be overridden in order to allow the deploy user
# (usually "stack") to write in it
install -d -m 755 %{buildroot}%{_localstatedir}/log/validations

%files
%doc README* AUTHORS ChangeLog
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/
%exclude %{python3_sitelib}/validations_common/test*

%changelog
* Wed Apr 05 2023 OSP Prod Chain <dev-null@redhat.com> 1.9.1-1.20230406033859.e96c169
- Update patches
- Add missing validations in the documentations

* Fri Mar 31 2023 OSP Prod Chain <dev-null@redhat.com> 1.9.1-1.20230401024134.445eecf
- Update patches
- Bumping yamllint to 1.30.0

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230323023903.d00778f
- Update patches
- Functional test for running validations from file

* Thu Mar 09 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230310033834.dec9846
- Update patches
- Set fact for run_results returns error when previous validation run is skipped

* Mon Mar 06 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230307024322.ef9ccda
- Update patches
- Resolving catalog test entries for image-serve and undercloud-tokenflush

* Fri Feb 03 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230204023834.c657223
- Update patches
- Improving development containerfile IDE integration

* Tue Jan 24 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230125023915.d0ef0be
- Update patches
- bump tox minversion to 4.0.0 for master

* Thu Jan 05 2023 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20230106023808.879b056
- Update patches
- Adding fallback mechanism to ntp validation role
- Changes needed for full functionality of tox 4.0.0 runtime

* Tue Nov 29 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221130034143.899b8f5
- Update patches
- Fix ansible 2.14 incompatibility

* Thu Nov 24 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221124115020.9ef6e75
- Update patches
- Bumping basepython version of the tox environments to 3.10

* Wed Nov 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221117024159.594b5d7
- Update patches
- Pull flake8 from Github

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.8.1-1.20221109034122.e83a48d
- Update patches
- Remove python-dev from bindep

* Tue Oct 25 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20221025085916.ad5bf88
- Update patches
- Disabling undercloud-tokenflush in catalogue tests
- Retargetting log removal task

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20221022033813.cc85a11
- Update patches
- Adding validations to the catalogue test

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20221021193919.b02d478
- Update patches
- Adding CI task for clean up of existing validation logs

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20221021164138.99a32d9
- Adding CI task for clean up of existing validation logs

* Tue Sep 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220928034811.99a32d9
- Update patches
- remove unicode prefix from code

* Wed Sep 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220921103718.8480aa1
- Update patches
- The tox.ini file edited to explicitly define the python runtime environment

* Wed Sep 07 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220908024105.c14a217
- Update patches
- Moving verify-packages validation into 'pre-deployment' group

* Thu Aug 25 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220826023718.0b613c2
- Update patches
- Add the default filter so the validations have default fallback

* Wed Aug 24 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220825034126.e73861f
- Update patches
- Setting variable override for check-cpu in catalogue tests

* Fri Aug 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.2-1.20220813024140.5c34b1c
- Update patches
- Changing filter pattern on setup module call

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220728033327.472c71c
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220727160652.472c71c
- Update patches

* Thu Jul 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220721115045.472c71c
- Update patches

* Wed Jul 20 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220720184226.472c71c
- Update patches
- Adjustment of the validations-common contribution docs

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-1.20220718130525.9cc9d20
- Update patches
- Enabling pep8 linting and fixing style violations
- New validation: verify_package
- Restoring variables lost in merge commit
- Update python testing as per zed cycle testing runtime
- Bumping flake8-typing-imports to version 1.12.0
- Python 3.6 support removal
- Update py36 to py38 tox jobs
- Explaining stable branches in CONTRIBUTING.rst
- Add baremetal Component for component CI tests

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220513012347.be239e8
- Update patches
- Normalizing VF metadata
- Setting default inventory to 0 length string
- Removing references to Babel

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220507022303.32317d1
- Update patches
- Bugfix: Add missing become: true to 2 tasks

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220429033104.0db0dc4
- Update patches
- Setting default branch of devstack repositories for functional tests
- setup.cfg: Replace dashes by underscores
- Create security component for CI Validations component jobs

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220429022554.a766121
- Setting default branch of devstack repositories for functional tests
- setup.cfg: Replace dashes by underscores
- Create security component for CI Validations component jobs

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220415042251.a766121
- Update patches
- Determine if there is any known good tripleo inventory

* Thu Apr 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.1-0.20220415031942.ef95b5f
- Determine if there is any known good tripleo inventory

* Tue Apr 05 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220405042837.ef95b5f
- Update patches
- Removing leftover coverchange reference

* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220405032356.c6003f2
- Removing leftover coverchange reference

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220318001849.c6003f2
- Update patches
- Removing coverchange job

* Wed Mar 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220317001838.60d4b8a
- Update patches
- Centos 9 jobs for validations common

* Tue Mar 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.7.0-0.20220316002232.0d5d0d4
- Update patches
- Update master for stable/1.6

* Fri Mar 11 2022 OSP Prod Chain <dev-null@redhat.com> 1.6.1-0.20220312002424.602c7d9
- Update patches
- removing callbacks from validations-common

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220212003528.7b2f992
- Update patches
- New validation for checking presence of running rsyslog service.

* Sat Feb 05 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220206002452.a9058bb
- Update patches
- Modifying catalogue execution test to resolve component pipeline issue

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220204031919.bad84e1
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220204021951.bad84e1
- Update patches
- Migrate jobs from CentOS 8 to CentOS 8 Stream

* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220202002723.a7ed9c1
- Update patches
- feat(removal): tox-ansible support
- fix(molecule): Add ability to run molecule on Fedora
- fix(ci): Install python3 package first
- add pre-update and pre-upgrade groups to ntp playbook

* Fri Jan 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220122002327.ae303b9
- Update patches
- Molecule test restoration

* Tue Jan 11 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-0.20220112001925.558200c
- Update patches
- Bumping the ansible-lint version to 5.3.2 in order to resolve CI failure

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211201004052.cf7ebdd
- Update patches
- Create clients component for CI Validations Jobs

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211130082943.bba647b
- Update patches
- Run all validations and fail after for CI role
- Use py3 as the default runtime for tox

* Thu Nov 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211119004103.464b70d
- Update patches
- CI task for execution of all packaged validations

* Tue Nov 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211110005449.7c20266
- Update patches
- Validation Framework functional test expansion

* Thu Nov 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211105002036.f7bbf21
- Update patches
- Adding more validations in the tripleo component test

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20211022001949.ee89324
- Update patches
- Elevating priviledges for the check_package_update

* Thu Oct 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20211008001907.a92482d
- Update patches
- Add new metadata keys to the validation playbooks

* Mon Oct 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20211005004049.835836a
- Update patches
- Update validations for Ansible 2.11

* Wed Sep 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210930002708.4bc7c28
- Update patches
- Fix ntp validation to check chronyd service status on all nodes

* Mon Sep 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210914001848.c33d395
- Update patches
- Dependency reorganization

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210908092321.3f65cc0
- Update patches

* Wed Sep 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210902001811.3f65cc0
- Update patches
- validations_read_ini refactoring

* Mon Aug 30 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210831001814.26ea5ef
- Update patches
- callback adjustment for no hosts matched

* Thu Aug 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210820001823.8dd3620
- Update patches
- Setting language for the python3.6 tox environment

* Wed Aug 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210819001816.f2be800
- Update patches

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210818015015.f2be800
- Update patches

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20210812014157.f2be800
- Update patches
- Test validations for false positives

* Thu Aug 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210806001813.39fcb26
- Update patches
- Removing validations-libs from test-requirements

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210730001813.777c6f2
- Update patches
- reqcheck job is now voting

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210728005726.1661002
- Update patches
- Add missing font for PDF generation
- Removing lookup_plugins data file directive
- Enabling indentation rule for yamllint.

* Tue Jul 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210714011809.4964bb1
- Update patches
- Callback logging unification

* Mon Jul 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210713001810.205f96a
- Update patches
- fix var name in logging statement

* Tue Jul 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210707001813.23cf153
- Update patches
- [advanced_format_512e_support] Add role documentation in sphinx

* Mon Jul 05 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210706001811.dcd63ff
- Update patches
- Expanded docstrings for library subpackage.
- [xfs_check_ftype] Add role documentation in sphinx
- Enforce some better rights on temporary files
- [validate_selinux] Add role documentation in sphinx
- [service_status] Add role documentation in sphinx
- [ntp] Add role documentation in sphinx
- [no_op] Add role documentation in sphinx
- [dns] Add role documentation in sphinx
- [check_selinux_mode] Add role documentation in sphinx
- [check_ram] Remove README.md file
- [check_latest_packages_version] Add role documentation in sphinx
- [check_disk_space] Add role documentation in sphinx

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210703001813.9808b3e
- Update patches
- Coverage change job

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210702001807.dc94a68
- Update patches
- Remove content-provider to decrease CI time

* Thu Jul 01 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210701093900.b89544a
- Update patches
- [check_cpu] Remove README.md file
- Remove haproxy validation from validations-common

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210629001813.fb29b03
- Update patches
- Fix the way we handle validation cli command in CI role
- Allow comments in variable files to be rendered in docs
- Reorganize CONTRIBUTING information

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210619002831.36a2a11
- Update patches
- Remove messages very specific to CI
- Loop variable name conflict resolution
- Correct the tox option for skipping sdist generation
- Removing superfluous imports from tests
- Removing the 'PIP_+' string from tox.ini

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210611002827.35f34ff
- Update patches
- New location of the default log directory.
- functools provide reduce instead of the ansible

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210607095506.f4c7f00
- Update patches
- Update Validations Framework IRC channels
- Renamed variable to something more illuminating.
- Python 2.7 environment, mimicking the one used by RDO

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210604011818.4b87cf2
- Update patches
- Bump molecule to 3.3.1
- Trigger molecule jobs when modifying the following files

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210528162123.879be13
- Update patches
- Rename local variable component to validation_component for Upstream CI

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210527163907.dbb069f
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210527101319.dbb069f
- Update patches
- Remove Jinja2 constraint

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210523154632.d0d7da0
- Update patches
- Licences are now listed for all requirements.
- Unblocking the openstack-tox-docs job.
- Adds dockerignore to the repo
- Reqcheck job for upstream validations-common

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210520073727.ae6c7e5
- Update patches
- Temporary fetch logs adjustement to detect log folder
- Remove workaround for tox-ansible and global molecule config
- Add testing for custom callback feature

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210519011816.45a5250
- Update patches
- File validation extended to callback_plugins, main loop optimized
- Added the 'CALLBACK_NEEDS_WHITELIST' attribute.
- Fix callback_type for validation_json.py
- Fix targeting hosts to 'localhost' instead of 'all'
- Sync is no longer loopy
- Bump pre-commit repositories

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210515001819.7f196ad
- Update patches
- Update of validate-files script

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210514011809.98b33a6
- Update patches
- Artifacts directory path is now set in a variable
- Simple tests for validation_json callback.

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210513023918.a9538a3
- Update patches
- Test for callback initiation.
- Add shared configuration for all molecule test
- Fetch all Validations, json and log files with CI role
- Superfluous imports are now mocked
- Remove RoleNames ansible-lint custom rule
- Update validations role to be used by tripleo CI and devstack tests
- Use new CLI for functionnal tests and remove validation.py script
- Disabling strict mode for ConfigParser in read_ini
- ConfigParser exeption message should be returned
- Adding backup-and-restore validation group
- Improved test coverage for library/advanced_format.py
- Improved test coverage for library/warn.py

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210430011807.3e4c178
- Update patches
- Version bumps to prepare for rhel9 transition

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210428173147.5e9cb46
- Update patches
- Fixed exception handling of the print_tuple_table method.
- Except block now covers specific errors

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210427015734.8d6e8d4
- Update patches
- Make check_latest_packages_version roles more generic

* Wed Apr 14 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210415011734.3d6e5a1
- Update patches
- add basic standalone job w/ validate-services true

* Tue Apr 13 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-0.20210414001737.8e04cca
- Update patches
- Tests for validation.py module and helper classes

* Thu Apr 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fallback on PWD for the Validation json log instead of getcwd
- Cover report omits test files
- Simple tests for validation_output callback.

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [Testing Infra] Apply here the improvements done to tripleo-validations
- Re-add documentation for http_json callback

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- .gitignore now excludes JSON molecule logs

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- packages var renamed to packages_list
- Introduce tox-ansible to validations-common

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Test class for http_json callback.

* Mon Mar 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make callback write to default if /var/log/validations does not exist

* Fri Mar 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Branching is now considered, line numbers are printed

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Puts DISABLE_PIP_VERSION_CHECK on a separate line

* Mon Mar 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Docs are now built in pdf

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- cli help rework and cleanup
- Simple tests for validation_stdout callback.
- Simple tests for fail_if_no_hosts callback.
- Infrastructure for callback unit tests

* Fri Feb 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixes issues caused by dict unpacking in (90e6133)

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- explanation why plugins don't respect normal naming coventions

* Tue Feb 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Validations now gather only the subset of facts they need
- Test infrastructure for library scripts along with few samples.

* Mon Feb 22 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add validation-common documentation structure


